function __global_object_depths() {
	// Initialise the global array that allows the lookup of the depth of a given object
	// GM2.0 does not have a depth on objects so on import from 1.x a global array is created
	// NOTE: MacroExpansion is used to insert the array initialisation at import time
	gml_pragma( "global", "__global_object_depths()");

	// insert the generated arrays here
	global.__objectDepths[0] = 0; // obj_player
	global.__objectDepths[1] = 0; // obj_walls
	global.__objectDepths[2] = 0; // obj_bullet_player
	global.__objectDepths[3] = 0; // obj_bullet_enemy
	global.__objectDepths[4] = -1999999; // obj_HUD
	global.__objectDepths[5] = 0; // obj_enemy_mook
	global.__objectDepths[6] = 0; // obj_enemy_mook_90deg
	global.__objectDepths[7] = 0; // obj_enemy_mook_180deg
	global.__objectDepths[8] = 0; // obj_enemy_mook_270deg
	global.__objectDepths[9] = 0; // obj_enemy_mook_359deg
	global.__objectDepths[10] = 0; // obj_enemy_boss
	global.__objectDepths[11] = 0; // obj_ef_bulletstrike
	global.__objectDepths[12] = 0; // obj_ef_bulletstrike_enemy
	global.__objectDepths[13] = -1999998; // obj_particle
	global.__objectDepths[14] = 0; // obj_ADVANCE
	global.__objectDepths[15] = 0; // obj_adccans
	global.__objectDepths[16] = 0; // obj_mimsy
	global.__objectDepths[17] = 0; // obj_ef_cartridge
	global.__objectDepths[18] = 0; // obj_activator


	global.__objectNames[0] = "obj_player";
	global.__objectNames[1] = "obj_walls";
	global.__objectNames[2] = "obj_bullet_player";
	global.__objectNames[3] = "obj_bullet_enemy";
	global.__objectNames[4] = "obj_HUD";
	global.__objectNames[5] = "obj_enemy_mook";
	global.__objectNames[6] = "obj_enemy_mook_90deg";
	global.__objectNames[7] = "obj_enemy_mook_180deg";
	global.__objectNames[8] = "obj_enemy_mook_270deg";
	global.__objectNames[9] = "obj_enemy_mook_359deg";
	global.__objectNames[10] = "obj_enemy_boss";
	global.__objectNames[11] = "obj_ef_bulletstrike";
	global.__objectNames[12] = "obj_ef_bulletstrike_enemy";
	global.__objectNames[13] = "obj_particle";
	global.__objectNames[14] = "obj_ADVANCE";
	global.__objectNames[15] = "obj_adccans";
	global.__objectNames[16] = "obj_mimsy";
	global.__objectNames[17] = "obj_ef_cartridge";
	global.__objectNames[18] = "obj_activator";


	// create another array that has the correct entries
	var len = array_length_1d(global.__objectDepths);
	global.__objectID2Depth = [];
	for( var i=0; i<len; ++i ) {
		var objID = asset_get_index( global.__objectNames[i] );
		if (objID >= 0) {
			global.__objectID2Depth[ objID ] = global.__objectDepths[i];
		} // end if
	} // end for


}
